import { Component } from '@angular/core';

// 引入服务
import { ActivatedRoute } from '@angular/router';

// 引入 Parse 第三方库
import * as Parse from "parse"
(Parse as any).serverURL = "http://metapunk.cn:9999/parse"
Parse.initialize("dev")


@Component({
  selector: 'app-recommend-detail',
  templateUrl: './recommend-detail.component.html',
  styleUrls: ['./recommend-detail.component.scss']
})
export class RecommandDetailComponent {

  comments: string[] = [] // 存储评论的数组
  comment: string = '' // 当前评论的内容
  currentDate = new Date() // 当前日期

  addComment() {
    console.log(this.comment)
    if (this.comment.trim() !== '') {
      this.comments.push(this.comment); // 将评论添加到数组中
      this.comment = ''; // 清空当前评论的内容
    }
  }

  // 预设值变量
  recommend: Parse.Object | undefined; // 存储推荐信息的变量

  // 依赖注入
  constructor(private route: ActivatedRoute) {
    // 查询参数获取并赋值给 this.recommend
    this.route.queryParams.subscribe(params => {
      this.getViewInfoById(params["id"]) // 根据 ID 获取推荐信息
    })
  }

  /**
   * 根据 ID 获取推荐信息
   * @param id 推荐 ID
   */
  async getViewInfoById(id: string) {
    let query = new Parse.Query("PetRecommend") // 创建 Parse 查询对象
    this.recommend = await query.get(id) // 根据 ID 查询推荐信息并赋值给 this.recommend
  }
}
