import { Component } from '@angular/core';

// 引入服务
import { ActivatedRoute } from '@angular/router';

// 引入 Parse 第三方库
import * as Parse from "parse"
(Parse as any).serverURL = "http://metapunk.cn:9999/parse"
Parse.initialize("dev")
//设置了 Parse 服务器的 URL 和应用程序密钥
@Component({
  selector: 'app-science-detail',
  templateUrl: './science-detail.component.html',
  styleUrls: ['./science-detail.component.scss']
})
export class ScienceDetailComponent {

  // 添加评论
  comments: string[] = [];
  comment: string = '';
  currentDate = new Date();

  // 添加评论的方法
  addComment() {
    console.log(this.comment)
    if (this.comment.trim() !== '') {
      this.comments.push(this.comment);
      this.comment = '';
    }
  }

  // 预设值变量
  sciene: Parse.Object | undefined;

  // 依赖注入
  constructor(private route: ActivatedRoute) {
    // 查询参数获取并赋值给 this.sciene
    this.route.queryParams.subscribe(params => {
      this.getFoodInfoById(params["id"])
    })
  }

  // 通过 ID 获取科普信息的方法
  async getFoodInfoById(id: string) {
    let query = new Parse.Query("PetScience")
    this.sciene = await query.get(id)
  }

}
