import { Component } from '@angular/core';
// 引入服务
import { ActivatedRoute } from '@angular/router';

// 引入Parse第三方库
import * as Parse from "parse";
(Parse as any).serverURL = "http://metapunk.cn:9999/parse"; // 设置 Parse 服务器的 URL
Parse.initialize("dev"); // 初始化 Parse

@Component({
  selector: 'app-they-detail',
  templateUrl: './they-detail.component.html',
  styleUrls: ['./they-detail.component.scss']
})
export class TheyDetailComponent {
  // 预设值变量
  they: Parse.Object | undefined;

  // 依赖注入
  constructor(private route: ActivatedRoute) {
    // 查询参数获取并赋值给 this.they
    this.route.queryParams.subscribe(params => {
      this.getTheyById(params["id"]); // 根据参数中的 id 获取 they 对象
    });
  }

  async getTheyById(id: string) {
    let query = new Parse.Query("SqzPerson"); // 创建 SqzPerson 类的查询
    this.they = await query.get(id); // 根据 id 执行查询获取 they 对象
  }

  // getDateString(datestr: string) {
  //   if (datestr) {
  //     let now = new Date(datestr)
  //     return `${now.getFullYear()}年${now.getMonth() + 1}月${now.getDate()}日`
  //   }
  //   return ""
  // }
}
