import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { UserService } from '../service-user/user.service';
import * as Parse from "parse";

@Component({
  selector: 'app-page-info',
  templateUrl: './page-info.component.html',
  styleUrls: ['./page-info.component.scss']
})
export class PageInfoComponent {
  constructor(
    public userServ: UserService, // 用户服务
    private router: Router // 路由器
  ) {
    this.userInfo = Parse.User.current()?.toJSON(); // 获取当前用户信息
  }

  userInfo: any = {}; // 用户信息对象

  async saveInfo() {
    let user = Parse.User.current(); // 获取当前用户实例
    console.log(this.userInfo); // 打印用户信息

    // 删除不需要保存的属性
    delete this.userInfo.objectId;
    delete this.userInfo.username;
    delete this.userInfo.sessionToken;
    delete this.userInfo.updatedAt;

    user?.set(this.userInfo); // 设置用户实例属性
    await user?.save(); // 保存用户实例到数据库
    this.router.navigate(["/lesson/me"]); // 导航到指定路由
  }
}
